import 'dart:async';

abstract class WithdrawalEvent {}

class CreateWithdrawal extends WithdrawalEvent {
  final double amount;
  final String note;

  CreateWithdrawal({required this.amount, required this.note});
}

class FetchWithdrawals extends WithdrawalEvent {
  final Completer<void>? completer;

  FetchWithdrawals({this.completer});
}

class LoadMoreWithdrawals extends WithdrawalEvent {}

class FetchWithdrawalById extends WithdrawalEvent {
  final int id;

  FetchWithdrawalById({required this.id});
}
